import java.io.InputStreamReader;

class Main {
    public static void main(String args[]) throws Exception {
        parser p = new parser();
        p.setScanner(new Yylex(new InputStreamReader(System.in)));
        Integer result = (Integer) p.parse().value;
        System.out.println("Result = " + result);
    }
}
